cancel
Showing results for 
Search instead for 
Did you mean: 

Public Archive

GregG_16
Employee

Click here for a High performance download of the WICED-Studio 6.4.0 Installer (Linux) through Akamai

Note: The config.eml file needed for the installation process (must reside in same physical folder as installer during install process) is included as an attachment at the bottom of this page. The config.eml file was not included in the same .zip file as the installer (as done with previous SDK releases).

README for WICED Community Page

==============================

Important: For all WICED Studio MFi versions, please place the config.eml file provided here within the zip file download inside of the same folder where the associated installer binary is located, then install.

Linux Install:

-------------

- Installer has been tested on Ubuntu 16.04 and Fedora 23

- Download "LNX_MFI_XX_WICED-Studio-X.X.X.XX-IDE-Installer.zip"

- Extract the installer .bin and config.eml file from the zip file to temp folder on your computer (for example /home/user1/wiced_install); do not execute the installer from the zip file (see screen shot below, Linux_MFI.PNG)

- Apply execute permissions to the installer and execute from terminal command line as below:

[user1]$ pwd

/home/user1/wiced_install

[user1]$ ls

config.eml  WICED-Studio-X.X.X.X-IDE-Installer.bin

[user1]$ chmod +x ./WICED-Studio-X.X.X.X-IDE-Installer.bin

[user1]$ ./WICED-Studio-X.X.X.X-IDE-Installer.bin

- During installing, the installer will ask for sudo permissions to install the WICED drivers; please enter the sudo password

  ~ Note: On some Linux installations, you may also need to enter the sudo password on the terminal console where the installer was executed

- After installation is complete, launch the WICED Studio IDE from shortcut located in $HOME/Cypress folder

Note:

1. Java version 9.x or higher is not supported by WICED SDK.

2. WICED Studio installation requires at least 5GB free disk space.

Linux Uninstall:

----------------

- At the terminal prompt, > cd $HOME/Cypress

- Run script >./uninstall

- To clean up all WICED components manually, delete files and folders for the IDE and SDK, typically found in $HOME/Cypress/WICED*, $HOME/WICED/WICED-Studio-X and $HOME/Documents/WICED/WICED-Studio-X

Additional installation notes for Linux:

----------------------------------------

1.

Note that an additional step is required when connecting a WICED development board to a computer running Linux. On common Linux distributions, the serial UART ports (usually /dev/ttySx or /dev/ttyUSBx devices) belongs to the root user and to the dialout group. Standard users are not allowed to access these devices.

An easy way to allow the current user access to the Linux machine's serial ports is by adding the user to the dialout group.

This can be done using the following command: $sudo usermod -a -G dialout $USER

Note also that for this command to take effect, the user must log out and then log back in.

2.

If the following error is encountered during the installation process: ìInstaller User Interface Mode Not Supportedî, you will need to run the following command in order to update Java to version 1.8: ìsudo dnf install javaî

3.

If Linux OS version is older than mentioned above, you might see this issue below when compiling applications -

      gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found

In this case, newer version of libstdc is needed. You might need to upgrade your Linux OS or try -

> sudo apt-get install libstdc++6

4.

On Ubuntu 18, you might see an error - "Untrusted application launcher" when launching WICED Studio IDE

from shortcut created on desktop/Cypress folder.

To work around this issue, do the following -

a. After installation completes, from the same terminal window where the installer .bin file was executed,

issue this command:

sudo chown $USER WICED-Studio.desktop

b. Double click the launcher again. Now, a different prompt will come up notifying that the application is

untrusted but it will now give you the choice to launch it.  If you allow it, then the .launcher file

will auto-update to the correct icon, and subsequently it will work without any dialogue popup.

Performing the chown command is only needed 1 time.  Acknowledging the popup has to be done 1 time per .launcher

(i.e. once in the install folder and once in the Cypress directory).

5.

On Ubuntu 18, installation of USB driver libraries is needed for downloading some Wi-Fi applications.

> sudo apt-get install libusb-dev

0 Likes
0 Replies